package com.test.service;

import javax.jws.Oneway;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import org.apache.log4j.Logger;

@WebService()
public class TestService1 {
	private static final Logger log = Logger.getLogger("com.test.service.TestService1");

	@WebMethod()
	@Oneway()
	public void runDiff(@WebParam(name = "environment") String env,
			@WebParam(name = "component") String comp,
			@WebParam(name = "servername") String servername,
			@WebParam(name = "subsytem") String subsytem) {

        log.debug("### TestOneWayService:TestService1:runDiff starting");
        System.out.println("### TestOneWayService:TestService1:runDiff starting");

        try {
        	System.out.println("...do something in Svc 1 here...");
        	System.out.println("Svc 1 :"+env+":"+comp+":"+servername+":"+subsytem+":");
        } catch (Exception e) {
			log.error("Error caught executing test!",e);
			System.out.println("Error caught executing test! "+e.toString() );
        }

        log.debug("### TestOneWayService:TestService1:runDiff ending");
        System.out.println("### TestOneWayService:TestService1:runDiff ending");

	}
	
}
